<section class="yekpay">
    <div class="container">
        <div class="title-row row" :class="$root.rtl ? 'rtl' : ''">
            <h3 class="sectiontitle" v-html="nameSection[$root.lang]"></h3>
            <div class="yekpay-row row" :class="$root.rtl ? 'rtl' : ''">
                <div class="yekpay-logo">
                    <img src="@assets/svg/yekpay-logo.svg" alt=""/>
                </div>
                <div class="yekpay-slogan" v-html="yekPay[$root.lang]"></div>
            </div>
        </div>
        <div class="methods-row row" :class="$root.rtl ? 'rtl' : ''">
            <div class="yekpay-container">
                <div class="yekpay-title" v-html="methods[$root.lang]"></div>
                <div class="method active row" :class="$root.rtl ? 'rtl' : ''">
                    <div class="method-logo">
                        <img src="@assets/img/shetab@3x.png" alt=""/>
                    </div>
                    <div class="method-name" v-html="shetab[$root.lang]"></div>
                </div>
                <div class="method disabled row" :class="$root.rtl ? 'rtl' : ''">
                    <div class="method-logo">
                        <img src="@assets/svg/bill.svg" alt=""/>
                    </div>
                    <div class="method-name" v-html="requsits[$root.lang]"></div>
                </div>
            </div>
            <form class="yekpay-container">
                <div class="yekpay-title" v-html="data[$root.lang]"></div>
                <div class="wrapper-input">
                    <input class="yekpay-input" 
                        id="yek" 
                        v-model='phoneValue'
                        pattern="[0-9]{10}"
                        v-mask="{ regex: '\\+\[0-9]{8,20}' , showMaskOnHover: false, placeholder: ''}"
                        :class="$root.rtl ? 'phone-ar' : ''"
                         />
                    <label class="yekpay-label" 
                        for="yek" :class="phoneValue != '' ? 'active' : ''" >
                        {{phoneText[$root.lang]}}</label>
                </div>
                <div class="wrapper-input">
                    <input class="yekpay-input" 
                        id="yekT" 
                        type="number"
                        v-model='amountValue'
                         />
                    <label class="yekpay-label" 
                        for="yekT" :class="amountValue != '' ? 'active' : ''" >
                        {{ammountText[$root.lang]}}
                    </label>
                </div>

                <div class="homescreen-button button" v-html="replenish[$root.lang]"
                     v-on:click="startPaymentProcess"
                ></div>
            </form>
        </div>
    </div>
</section>
